Package org.bukkit.inventory.meta

# Interface BannerMeta

All Superinterfaces:
  `Cloneable`, `ConfigurationSerializable`, `ItemMeta`, `PersistentDataHolder`

public interface BannerMeta extends ItemMeta

## Method Summary

Modifier and Type
Method
Description
`void`
`addPattern(@NotNull Pattern pattern)`
Adds a new pattern on top of the existing patterns
`@Nullable DyeColor`
`getBaseColor()`
Deprecated.
banner color is now stored as the data value, not meta.
`@NotNull Pattern`
`getPattern(int i)`
Returns the pattern at the specified index
`@NotNull List<Pattern>`
`getPatterns()`
Returns a list of patterns on this banner
`int`
`numberOfPatterns()`
Returns the number of patterns on this banner
`@NotNull Pattern`
`removePattern(int i)`
Removes the pattern at the specified index
`void`
`setBaseColor(@Nullable DyeColor color)`
Deprecated.
banner color is now stored as the data value, not meta.
`void`
`setPattern(int i, @NotNull Pattern pattern)`
Sets the pattern at the specified index
`void`
`setPatterns(@NotNull List<Pattern> patterns)`
Sets the patterns used on this banner

### Methods inherited from interface org.bukkit.configuration.serialization.ConfigurationSerializable

`serialize`

### Methods inherited from interface org.bukkit.inventory.meta.ItemMeta

`addAttributeModifier, addEnchant, addItemFlags, clone, displayName, displayName, getAsString, getAttributeModifiers, getAttributeModifiers, getAttributeModifiers, getCanDestroy, getCanPlaceOn, getCustomModelData, getCustomTagContainer, getDestroyableKeys, getDisplayName, getDisplayNameComponent, getEnchantLevel, getEnchants, getItemFlags, getLocalizedName, getLore, getLoreComponents, getPlaceableKeys, hasAttributeModifiers, hasConflictingEnchant, hasCustomModelData, hasDestroyableKeys, hasDisplayName, hasEnchant, hasEnchants, hasItemFlag, hasLocalizedName, hasLore, hasPlaceableKeys, isUnbreakable, lore, lore, removeAttributeModifier, removeAttributeModifier, removeAttributeModifier, removeEnchant, removeItemFlags, setAttributeModifiers, setCanDestroy, setCanPlaceOn, setCustomModelData, setDestroyableKeys, setDisplayName, setDisplayNameComponent, setLocalizedName, setLore, setLoreComponents, setPlaceableKeys, setUnbreakable, setVersion`

### Methods inherited from interface org.bukkit.persistence.PersistentDataHolder

`getPersistentDataContainer`

## Method Details

### getBaseColor

@Deprecated @Nullable @Nullable DyeColor getBaseColor()
Deprecated.
banner color is now stored as the data value, not meta.
Returns the base color for this banner

Returns:
  the base color

### setBaseColor

@Deprecated void setBaseColor(@Nullable @Nullable DyeColor color)
Deprecated.
banner color is now stored as the data value, not meta.
Sets the base color for this banner

Parameters:
  `color` - the base color

### getPatterns

@NotNull @NotNull List<Pattern> getPatterns()
Returns a list of patterns on this banner

Returns:
  the patterns

### setPatterns

void setPatterns(@NotNull @NotNull List<Pattern> patterns)
Sets the patterns used on this banner

Parameters:
  `patterns` - the new list of patterns

### addPattern

void addPattern(@NotNull @NotNull Pattern pattern)
Adds a new pattern on top of the existing patterns

Parameters:
  `pattern` - the new pattern to add

### getPattern

@NotNull @NotNull Pattern getPattern(int i)
Returns the pattern at the specified index

Parameters:
  `i` - the index
Returns:
  the pattern
Throws:
  `IndexOutOfBoundsException` - when index is not in [0, numberOfPatterns()) range

### removePattern

@NotNull @NotNull Pattern removePattern(int i)
Removes the pattern at the specified index

Parameters:
  `i` - the index
Returns:
  the removed pattern
Throws:
  `IndexOutOfBoundsException` - when index is not in [0, numberOfPatterns()) range

### setPattern

void setPattern(int i, @NotNull @NotNull Pattern pattern)
Sets the pattern at the specified index

Parameters:
  `i` - the index
  `pattern` - the new pattern
Throws:
  `IndexOutOfBoundsException` - when index is not in [0, numberOfPatterns()) range

### numberOfPatterns

int numberOfPatterns()
Returns the number of patterns on this banner

Returns:
  the number of patterns